<?php
/**
 * Plugin
 * @author Vince Wooll <sales@jomres.net> with Martin Pullmann
 * @version Jomres 4 
* @package Jomres
* @copyright	2005-2010 Vince Wooll
* Jomres (tm) PHP files are released under both MIT and GPL2 licenses. This means that you can choose the license that best suits your project, and use it accordingly, however all images, css and javascript which are copyright Vince Wooll are not GPL licensed and are not freely distributable. 
**/

// ################################################################
defined( '_JOMRES_INITCHECK' ) or die( '' );
// ################################################################

class j16000postaff_settings {
	function j16000postaff_settings()
		{
		// Must be in all minicomponents. Minicomponents with templates that can contain editable text should run $this->template_touch() else just return 
		if (!function_exists('jomres_getSingleton'))
			global $MiniComponents;
		else
			$MiniComponents =jomres_getSingleton('mcHandler');
		if ($MiniComponents->template_touch)
			{
			$this->template_touchable=false; return;
			}
		global $ePointFilepath;
		$output=array();
		$pageoutput=array();

		$ida_settings = new jrportal_postaff_settings();
		$ida_settings->get_postaff_settings();

		$output['PAGETITLE'] 		=_JRPORTAL_POSTAFF_TITLE;
		$output['HPATH']			=_JRPORTAL_POSTAFF;
		$output['PATH_DESC']		=_JRPORTAL_POSTAFF_DESC;
		$output['HPROFILE']			=_JRPORTAL_POSTAFF_PROFILE;
		$output['PROFILE_DESC']		=_JRPORTAL_POSTAFF_PROFILE_DESC;
		
		$output['PATH'] = $ida_settings->idaConfigOptions['postaff_pathtosalephp'];
		$output['PROFILE'] = $ida_settings->idaConfigOptions['profile'];
		
		$output['JOMRESTOKEN'] ='<input type="hidden" name="jomrestoken" value="'.jomresSetToken().'"><input type="hidden" name="no_html" value="1">';

		if (class_exists('jomres_toolbar'))
     		$jrtbar = new jomres_toolbar();
    	else
     		$jrtbar =jomres_getSingleton('jomres_toolbar');
		$jrtb  = $jrtbar->startTable();
		$jrtb .= $jrtbar->toolbarItem('save','','',true,'save_postaff_settings');
		$jrtb .= $jrtbar->toolbarItem('cancel',jomresURL("index2.php?option=com_jomres"),'');
		$jrtb .= $jrtbar->endTable();
		$output['JOMRESTOOLBAR']=$jrtb;
		
		$output['JOMRES_SITEPAGE_URL']=JOMRES_SITEPAGE_URL;
		
		$pageoutput[]=$output;
		$tmpl = new patTemplate();
		$tmpl->setRoot( $ePointFilepath.JRDS."templates" );
		$tmpl->readTemplatesFromInput( 'postaff_settings.html');
		$tmpl->addRows( 'pageoutput',$pageoutput);
		$tmpl->displayParsedTemplate();
		}

	/**
	#
	 * Must be included in every mini-component
	#
	 * Returns any settings the the mini-component wants to send back to the calling script. In addition to being returned to the calling script they are put into an array in the mcHandler object as eg. $mcHandler->miniComponentData[$ePoint][$eName]
	#
	 */
	function getRetVals()
		{
		return null;
		}
	}
?>